Road User Tools エージェント & API プラットフォーム
トルクを変換
ニュートンメートルとポンドフィートの間で変換します。
インターフェース
POST
REST エンドポイント
/api/v1/torque/convertMCP
ツール名
convert_torqueリクエスト
リクエストを JSON として送信します。 MCP クライアントは、同じフィールドをツール引数として渡します。
cURLshell
curl -X POST https://roaduser.tools/api/v1/torque/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"value": 400,
"from": "nm",
"to": "lbft"
}'リクエストボディjson
{
"value": 400,
"from": "nm",
"to": "lbft"
}応答
REST は、計算結果を標準の成功エンベロープにラップします。 MCP は、構造化ツールの出力と同じ計算データを返します。
JSON
{
"ok": true,
"data": {
"input": {
"value": 400,
"from": "nm",
"to": "lbft"
},
"conversions": {
"nm": 400,
"lbft": 295.0248597109062
},
"result": 295.0248597109062
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}スキーマ
以下の定義は、入力の検証と出力の説明に使用される完全な JSON スキーマを示しています。
入力スキーマ
{
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number",
"description": "Torque value to convert. Must be finite and non-negative."
},
"from": {
"type": "string",
"enum": [
"nm",
"lbft"
],
"description": "Input torque unit."
},
"to": {
"type": "string",
"enum": [
"nm",
"lbft"
],
"description": "Optional target unit. When omitted, all units are returned."
}
},
"required": [
"value",
"from"
]
}出力スキーマ
{
"type": "object",
"additionalProperties": false,
"properties": {
"input": {
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number"
},
"from": {
"type": "string",
"enum": [
"nm",
"lbft"
]
},
"to": {
"type": "string",
"enum": [
"nm",
"lbft"
]
}
},
"required": [
"value",
"from"
]
},
"conversions": {
"type": "object",
"additionalProperties": false,
"properties": {
"nm": {
"type": "number"
},
"lbft": {
"type": "number"
}
},
"required": [
"nm",
"lbft"
]
},
"result": {
"type": "number",
"description": "Target-unit result when a target unit is supplied."
}
},
"required": [
"input",
"conversions"
]
}